package com.gci.boot.modules.basedata.service;

import com.gci.boot.modules.basedata.entity.TbVehicleCheckTemplate;
import com.gci.boot.modules.basedata.entity.TbVehicleCheckTemplateProject;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 车辆验收模板项目 服务类
 * </p>
 *
 * @author xushuhan
 * @since 2023-09-07
 */
public interface ITbVehicleCheckTemplateProjectService extends IService<TbVehicleCheckTemplateProject> {

	void getProjectsByTemplateId(TbVehicleCheckTemplate template);

	void saveItem(TbVehicleCheckTemplate template);

	Map<String, TbVehicleCheckTemplateProject> getMapByIds(List<String> ids);

	void checkTemplate(TbVehicleCheckTemplate template);

}
